Bug 837446 - Review Request: android-opengl-api - Google Android Java ME Library (Khronos)
Review Request: android-opengl-api - Google Android Java ME Library (Khronos)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clément DAVID
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 837450
  Show dependency treegraph
 
Reported: 2012-07-03 18:26 EDT by gil cattaneo
Modified: 2012-12-20 11:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:22:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
c.david86: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-07-03 18:26:11 EDT
Spec URL: http://gil.fedorapeople.org/android-opengl-api.spec
SRPM URL: http://gil.fedorapeople.org/android-opengl-api-1.1-1.fc16.src.rpm
Description: The Android implementation of Khronos OpenGL Spec
for the Google Android SDK.
Fedora Account System Username: gil
Comment 1 Mikolaj Izdebski 2012-07-29 10:07:36 EDT
It would be nice if you provided a better URL. http://source.android.com/ doesn't help very much -- I couldn't find anything Khronos-related there.
Comment 2 gil cattaneo 2012-07-29 11:40:26 EDT
hi
this is better ?
http://developer.android.com/guide/topics/graphics/opengl.html
Comment 3 Clément DAVID 2012-10-03 04:43:26 EDT
I guess yes but "URL:" should be used instead of "Url:". Futhermore the source0 is a maven repo. Is upstream (android) provide a source url or also rely on the maven one ?
Comment 4 gil cattaneo 2012-10-03 07:16:44 EDT
hi,
It was VERY difficult to find a complete source-only (java) package
Upstream GIT repository is https://github.com/android/platform_frameworks_base
But there aren't build script file usable for this pourpose, have ONLY the java apis of Android sdk.
In addition, the source tree directory is very fragmented ...

- Used URL
- Added license txt file
Comment 5 Clément DAVID 2012-10-21 18:37:36 EDT
Ok take the review. Please update the srpm, the spec file does not match.
Comment 6 Clément DAVID 2012-10-21 18:40:19 EDT
Major Issue:
=============
[!]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
     Note: No /usr/share/javadoc/android-opengl-api found
See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation

Please fix it: use /usr/share/javadoc/android-opengl-api/ instead of /usr/share/javadoc/opengl-api .
Comment 8 Clément DAVID 2012-10-21 22:15:47 EDT
failed to build on x86_64 :

+ /usr/lib/jvm/jre/bin/jar -xf /builddir/build/SOURCES/opengl-api-gl1.1-android-2.1_r1-sources.jar
/var/tmp/rpm-tmp.xc6I2w: line 37: /usr/lib/jvm/jre/bin/jar: No such file or directory
erreur : Mauvais statut de sortie pour /var/tmp/rpm-tmp.xc6I2w (%prep)
Comment 10 Clément DAVID 2012-10-21 23:40:55 EDT
failed to build on mock :

+ jar -xf /builddir/build/SOURCES/opengl-api-gl1.1-android-2.1_r1-sources.jar
/var/tmp/rpm-tmp.VNGtjJ: line 37: jar: command not found
Comment 11 gil cattaneo 2012-10-21 23:49:35 EDT
hi Clément,
where you try to build the package? (f17,f18,f19, ..., koji)
your java installation is broken (problem with update-alternatives)
thanks
Comment 12 Clément DAVID 2012-10-22 00:17:04 EDT
Hi gil,

You are right everything is fine on a scratch koji build. http://koji.fedoraproject.org/koji/taskinfo?taskID=4614145

APPROVED

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Java:
[ ]: If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[ ]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[ ]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source2 (LICENSE-2.0.txt) Source0 (opengl-api-
     gl1.1-android-2.1_r1-sources.jar) Source1 (opengl-api-
     gl1.1-android-2.1_r1.pom)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[ ]: Package has BuildArch: noarch (if possible)
[ ]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: android-opengl-api-javadoc-1.1-3.fc19.noarch.rpm
          android-opengl-api-1.1-3.fc19.noarch.rpm
          android-opengl-api-1.1-3.fc19.src.rpm
android-opengl-api-javadoc.noarch: W: invalid-url URL: http://developer.android.com/guide/topics/graphics/opengl.html HTTP Error 405: Method Not Allowed
android-opengl-api.noarch: W: invalid-url URL: http://developer.android.com/guide/topics/graphics/opengl.html HTTP Error 405: Method Not Allowed
android-opengl-api.src: W: invalid-url URL: http://developer.android.com/guide/topics/graphics/opengl.html HTTP Error 405: Method Not Allowed
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint android-opengl-api android-opengl-api-javadoc
android-opengl-api.noarch: W: invalid-url URL: http://developer.android.com/guide/topics/graphics/opengl.html HTTP Error 405: Method Not Allowed
android-opengl-api-javadoc.noarch: W: invalid-url URL: http://developer.android.com/guide/topics/graphics/opengl.html HTTP Error 405: Method Not Allowed
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
android-opengl-api-javadoc-1.1-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

android-opengl-api-1.1-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    java  
    jpackage-utils  



Provides
--------
android-opengl-api-javadoc-1.1-3.fc19.noarch.rpm:
    
    android-opengl-api-javadoc = 1.1-3.fc19

android-opengl-api-1.1-3.fc19.noarch.rpm:
    
    android-opengl-api = 1.1-3.fc19
    mvn(org.khronos:opengl-api) = gl1.1-android-2.1_r1



MD5-sum check
-------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
http://repo1.maven.org/maven2/org/khronos/opengl-api/gl1.1-android-2.1_r1/opengl-api-gl1.1-android-2.1_r1-sources.jar :
  CHECKSUM(SHA256) this package     : 050b4ec89ac6a1d5fd680e354b0f89d3433ddf1af18cf7e656ffce2a3ce0d915
  CHECKSUM(SHA256) upstream package : 050b4ec89ac6a1d5fd680e354b0f89d3433ddf1af18cf7e656ffce2a3ce0d915
http://repo1.maven.org/maven2/org/khronos/opengl-api/gl1.1-android-2.1_r1/opengl-api-gl1.1-android-2.1_r1.pom :
  CHECKSUM(SHA256) this package     : acaa11bbb3d7942d737495aa6545fe5f72ddd298b0a7ca1aa84205b49179559a
  CHECKSUM(SHA256) upstream package : acaa11bbb3d7942d737495aa6545fe5f72ddd298b0a7ca1aa84205b49179559a


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -n android-opengl-api -m fedora-rawhide-x86_64
Comment 13 gil cattaneo 2012-10-22 00:51:24 EDT
New Package SCM Request
=======================
Package Name: android-opengl-api
Short Description: Google Android Java ME Library (Khronos)
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 14 Gwyn Ciesla 2012-10-22 08:04:07 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2012-10-22 16:55:25 EDT
android-opengl-api-1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/android-opengl-api-1.1-3.fc18
Comment 16 Fedora Update System 2012-10-22 17:07:53 EDT
android-opengl-api-1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/android-opengl-api-1.1-3.fc17
Comment 17 Fedora Update System 2012-10-23 02:50:25 EDT
android-opengl-api-1.1-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 18 Fedora Update System 2012-12-20 11:22:23 EST
android-opengl-api-1.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.